%define pypi_name jinja2-cli

Name:		python-%{pypi_name}
Summary:	Python template engine CLI
Version:	0.8.2
Release:	%mkrel 4
License:	BSD
Group:		Development/Python
Url:		https://github.com/mattrobenolt/jinja2-cli
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3-devel

%description
A CLI interface to Jinja2.

%package -n python3-%{pypi_name}
Summary:	Python template engine CLI
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A CLI interface to Jinja2.

%pyproject_extras_subpkg -n python3-%{pypi_name} yaml toml xml

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jinja2cli

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README*
%{_bindir}/jinja2


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.8.2-4.mga10
+ Revision: 2240128
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.8.2-3.mga10
+ Revision: 2157191
- rebuild for python3.13

* Sun Jan 21 2024 wally <wally> 0.8.2-2.mga10
+ Revision: 2033125
- rebuild for py3.12
- add python3 and extras sub pkgs
- use pyproject rpm macros

* Tue May 10 2022 bcornec <bcornec> 0.8.2-1.mga9
+ Revision: 1857479
- Import jinja2-cli python tool
- Created package structure for python-jinja2-cli.

